LogbookWidget(3)

NAME
LogbookWidget - The LogbookWidget displays data from the database in a QSqlTableView fed by a QSqlQuery Model.

SYNOPSIS

#include <logbookwidget.h>

Inherits QWidget.

  Public Slots
void refresh ()
LogbookWidget::refresh Refreshes the view to reflect changes in the database.
void onLogbookWidget_viewSelectionChanged (SettingsWidget::SettingSignal signal)
void repopulateModel ()
LogbookWidget::repopulateModel (public slot) - cleanly re-populates the model to cater for a change to the database connection (for example, when a backup is created or restored)

  Public Member Functions
LogbookWidget (ACompletionData &completion_data, QWidget *parent=nullptr)

  Protected Member Functions
void changeEvent (QEvent *event) override
Handles change events, like updating the UI to new localisation.

Detailed Description

The LogbookWidget displays data from the database in a QSqlTableView fed by a QSqlQuery Model. The LogbookWidget is the primary display interface for flights logged in the database. It fetches and stores flight data from the database via a QSqlQueryModel and displays it in a QTableView. With the way the flight data is written in the database, it would not be human-readable, so some processing is done on the database side to present a nicely formatted, human-readable display. This is achieved by means of a SQL View.

The user can select a view from a list of available views in the SettingsWidget.

Author

Generated automatically by Doxygen for openPilotLog from the source code.